Bug 29086 - Install fails on Dell Inspiron (failed to read /modules/module-info)
Summary: Install fails on Dell Inspiron (failed to read /modules/module-info)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-23 16:32 UTC by Wes Hamilton
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-27 23:36:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wes Hamilton 2001-02-23 16:32:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)


Install terminates following a 'failed to read /modules/module-info' 
message.

Reproducible: Always
Steps to Reproduce:
1.(Download & Burn Wolverine ISOs) - did this twice :)
2.Boot from Wolverine Disc1
3.Press Enter @ SysLinux prompt
	

Actual Results:
Screen1: 'failed to read /modules/module-info'....you may reboot

Screen3:
* found total memory tag: "MemTotal:       94660 kB"
* 94660 kB are available
* going to insmod cdrom.o (path is NULL)
* going to insmod ide-cd.o (path is NULL)
* going to insmod scsi_mod.o (path is NULL)
* going to insmod sd_mod.o (path is NULL)
* going to insmod sr_mod.o (path is NULL)
* looking for usb controllers
* found USB controller disabled
* going to insmod disabled.o (path is NULL)
* failed to insert usb module
* probing for ide floppies
* no ide floppy devices found
* looking for video cards requiring agpgart module
* found video card controller unknown
* in startPcmcia()
* found cardbus pci adapter
* need to load yenta_socket
* going to insmod pcmcia_core.o (path is NULL)
* going to insmod yenta_socket.o (path is NULL)
* going to insmod ds.o (path is NULL)
* cardmgr running as pid 29
* cardmgr returned 0x0
* probing buses
* finished bus probing
* found suggestion of yenta_socket
* found suggestion of yenta_socket
* found nothing
* trying to mount device hdc
* loopfd is 7
* getting ready to spawn shell now
* cannot open shell - /bin/sh doesn't exist

Screen4: (full screen, summary below:)
...Linux PCMCIA Card Services 3.1.22
...PCI: Assigned IRQ11 for device 00:04.1
...Yenta (yada-yada)
...Socket status: 30000006
...cs: IO port probe...
...cardmgr[29]: starting, version is 3.1.23
...Card Services release does not match
...modprobe exited with status 1
...cardmgr[29]: module /modules/pcmcia/serial_cs.o not available
...fopen(stabfile) failed
...(7)ISO 9660 Extensions: RRIP_1991A
...(4)Unable to identify CD-ROM format.
...(7)init_special_inode: bogus imode (0)


Same CDs are fine on another desktop; laptop with problem is currently 
running RedHat 7.0 just fine (so I've either got a newly defective cd-
drive, or...?)

Comment 1 Michael Fulbright 2001-02-23 17:13:38 UTC
This really sounds like a bad CD problem.

What type of interface is the CDROM on?

Comment 2 Wes Hamilton 2001-02-23 17:33:43 UTC
CDROM drive is modular (in modular bay, not connected via parallel port), 
mounted as HDC (so I assume EIDE)

Is it possible to verify the operation of the drive, or at least verify that it 
is reading the wolverine contents correctly? (perhaps an e2fsck for iso9660?) - 
thanks

Comment 3 Michael Fulbright 2001-02-27 23:36:44 UTC
You would need to md5sum the CD and compare it to the values given on the FTP
site in a text document (same place you got the ISO).

Comment 4 Michael Fulbright 2001-04-02 19:59:30 UTC
Closing due to inactivity - please reopen if you have anything to add to the bug
report.


Note You need to log in before you can comment on or make changes to this bug.